searchNodes=[{"doc":"Elixir library implementing BMP struct allowing to interact with bitmap images. This library adds new type called bmp/0 and several functions to work with BMP files. Examples iex(1)&gt; img = BMP . new ( { 1920 , 1080 } , 24 , &quot;#F5ABB9&quot; ) file header : signature : BM | 42 4 D | 2 file size : 5.93 MiB | 36 EC 5 E 00 | 4 reserved | 00 00 00 00 | 4 data offset : 54 B | 36 00 00 00 | 4 info header : header size : 40 B | 28 00 00 00 | 4 image size : 1920 x1080 | 80 07 00 00 38 04 00 00 | 8 planes : 1 | 01 00 | 2 color depth : 24 bit | 18 00 | 2 compression : type 0 | 00 00 00 00 | 4 compressed size : 5.93 MiB | 00 EC 5 E 00 | 4 x resolution : 255 px / m | FF 00 00 00 | 4 y resolution : 255 px / m | FF 00 00 00 | 4 used colors : 0 | 00 00 00 00 | 4 important colors : 0 | 00 00 00 00 | 4 color table : 0 B raster data : B9 AB F5 B9 AB F5 B9 AB F5 B9 AB F5 ... | 6220800 iex(2)&gt; BMP . write_file! ( img , &quot;cat.bmp&quot; ) :ok iex(3)&gt; BMP . read_file! ( &quot;cat.bmp&quot; ) == img true","ref":"BMP.html","title":"BMP","type":"module"},{"doc":"Creates new BMP image filled with specified color. Takes width and height, color depth and fill color - either hex string or &lt;&lt;r, g, b&gt;&gt; binary, returns a bmp/0 . Examples iex(1)&gt; BMP . new { 1600 , 900 } , 24 , &quot;#F5ABB9&quot; file header : signature : BM | 42 4 D | 2 file size : 4.12 MiB | 36 EB 41 00 | 4 reserved | 00 00 00 00 | 4 data offset : 54 B | 36 00 00 00 | 4 info header : header size : 40 B | 28 00 00 00 | 4 image size : 1600 x900 | 40 06 00 00 84 03 00 00 | 8 planes : 1 | 01 00 | 2 color depth : 24 bit | 18 00 | 2 compression : type 0 | 00 00 00 00 | 4 compressed size : 4.12 MiB | 00 EB 41 00 | 4 x resolution : 255 px / m | FF 00 00 00 | 4 y resolution : 255 px / m | FF 00 00 00 | 4 used colors : 0 | 00 00 00 00 | 4 important colors : 0 | 00 00 00 00 | 4 color table : 0 B raster data : B9 AB F5 B9 AB F5 B9 AB F5 B9 AB F5 ... | 4320000 iex(2)&gt; BMP . new ( { 1600 , 900 } , 24 , &quot;#F5ABB9&quot; ) == BMP . new ( { 1600 , 900 } , 24 , &lt;&lt; 245 , 171 , 185 &gt;&gt; ) true","ref":"BMP.html#new/3","title":"BMP.new/3","type":"function"},{"doc":"Reads specified file to bmp/0 . Takes path to file as its only argument and returns {:ok, bmp} on success, {:error, reason} otherwise. Examples iex(1)&gt; BMP . read_file ( &quot;mew.bmp&quot; ) { :ok , mew . bmp -- -- -- - file header : signature : BM | 42 4 D | 2 file size : 3.05 KiB | 36 0 C 00 00 | 4 reserved | 00 00 00 00 | 4 data offset : 54 B | 36 00 00 00 | 4 info header : header size : 40 B | 28 00 00 00 | 4 image size : 32 x32 | 20 00 00 00 20 00 00 00 | 8 planes : 1 | 01 00 | 2 color depth : 24 bit | 18 00 | 2 compression : type 0 | 00 00 00 00 | 4 compressed size : 3.0 KiB | 00 0 C 00 00 | 4 x resolution : 3780 px / m | C4 0 E 00 00 | 4 y resolution : 3780 px / m | C4 0 E 00 00 | 4 used colors : 0 | 00 00 00 00 | 4 important colors : 0 | 00 00 00 00 | 4 color table : 0 B raster data : FF FF FF FF FF FF FF FF FF FF FF FF ... | 3072 } iex(2)&gt; BMP . read_file ( &quot;xeon.jpg&quot; ) { :error , :not_a_bmp }","ref":"BMP.html#read_file/1","title":"BMP.read_file/1","type":"function"},{"doc":"Reads specified file to bmp/0 . Takes path to file as its only argument and returns bmp/0 on success, raises Exceptions.FileReadError otherwise. Examples iex(1)&gt; BMP . read_file ( &quot;mew.bmp&quot; ) mew . bmp -- -- -- - file header : signature : BM | 42 4 D | 2 file size : 3.05 KiB | 36 0 C 00 00 | 4 reserved | 00 00 00 00 | 4 data offset : 54 B | 36 00 00 00 | 4 info header : header size : 40 B | 28 00 00 00 | 4 image size : 32 x32 | 20 00 00 00 20 00 00 00 | 8 planes : 1 | 01 00 | 2 color depth : 24 bit | 18 00 | 2 compression : type 0 | 00 00 00 00 | 4 compressed size : 3.0 KiB | 00 0 C 00 00 | 4 x resolution : 3780 px / m | C4 0 E 00 00 | 4 y resolution : 3780 px / m | C4 0 E 00 00 | 4 used colors : 0 | 00 00 00 00 | 4 important colors : 0 | 00 00 00 00 | 4 color table : 0 B raster data : FF FF FF FF FF FF FF FF FF FF FF FF ... | 3072 iex(2)&gt; BMP . read_file ( &quot;xeon.jpg&quot; ) ** (Exceptions.FileReadError) error reading file &quot;xeon.jpg&quot;: not a BMP file (bmp 0.1.0) lib/bmp.ex:101: BMP.read_file!/1 iex:2: (file)","ref":"BMP.html#read_file!/1","title":"BMP.read_file!/1","type":"function"},{"doc":"Writes bmp to the file path . Returns :ok if successful, {:error, reason} otherwise.","ref":"BMP.html#write_file/2","title":"BMP.write_file/2","type":"function"},{"doc":"Writes bmp to the file path . Returns :ok if successful, raises File.Error exception otherwise.","ref":"BMP.html#write_file!/2","title":"BMP.write_file!/2","type":"function"},{"doc":"Bitmap image type.","ref":"BMP.html#t:bmp/0","title":"BMP.bmp/0","type":"type"},{"doc":"Color depth in bits.","ref":"BMP.html#t:color_depth/0","title":"BMP.color_depth/0","type":"type"},{"doc":"BMP compression type. BI_RGB - no compression BI_RLE8 - 8 bit RLE encoding BI_RLE4 - 8 bit RLE encoding","ref":"BMP.html#t:compression/0","title":"BMP.compression/0","type":"type"},{"doc":"","ref":"BMP.Header.html","title":"BMP.Header","type":"module"},{"doc":"","ref":"BMP.InfoHeader.html","title":"BMP.InfoHeader","type":"module"},{"doc":"","ref":"Exceptions.FileReadError.html","title":"Exceptions.FileReadError","type":"exception"},{"doc":"Elixir library implementing BMP struct allowing to interact with bitmap images.","ref":"readme.html","title":"BMP","type":"extras"},{"doc":"BMP is available in Hex and can be installed by adding bmp to your list of dependencies in mix.exs : def deps do [ { :bmp , &quot;~&gt; 0.1.0&quot; } ] end The docs can be found at https://hexdocs.pm/bmp/BMP.html .","ref":"readme.html#installation","title":"BMP - Installation","type":"extras"},{"doc":"MIT License Copyright (c) 2023 q60 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \\&quot;Software\\&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED \\&quot;AS IS\\&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]